curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"url": "https://www.facebook.com/marketplace/item/1259177466401495",
"title": "2018 Mercedes-Benz C 300 Convertible 27k miles",
"initial_price": 35995,
"final_price": 35995,
"currency": "USD",
"product_id": "1259177466401495",
"condition": "USED",
"description": "1 owner, 2.0 turbo all wheel drive, leather seating pkg...",
"location": "Knoxville, TN",
"country_code": "US",
"images": ["https://..."],
"seller_description": "1 owner, 2.0 turbo...",
"color": "grey",
"brand": null,
"videos": null,
"profile_id": "34591790377134943",
"listing_date": "2026-04-02T11:25:00.000Z"
}
]
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"url": "https://www.facebook.com/marketplace/item/1259177466401495",
"title": "2018 Mercedes-Benz C 300 Convertible 27k miles",
"initial_price": 35995,
"final_price": 35995,
"currency": "USD",
"product_id": "1259177466401495",
"condition": "USED",
"description": "1 owner, 2.0 turbo all wheel drive, leather seating pkg...",
"location": "Knoxville, TN",
"country_code": "US",
"images": ["https://..."],
"seller_description": "1 owner, 2.0 turbo...",
"color": "grey",
"brand": null,
"videos": null,
"profile_id": "34591790377134943",
"listing_date": "2026-04-02T11:25:00.000Z"
}
]
gd_lvt9iwuh6fbcwmx1a to collect Facebook Marketplace listings data.[
{
"url": "https://www.facebook.com/marketplace/item/1259177466401495",
"title": "2018 Mercedes-Benz C 300 Convertible 27k miles",
"initial_price": 35995,
"final_price": 35995,
"currency": "USD",
"product_id": "1259177466401495",
"condition": "USED",
"description": "1 owner, 2.0 turbo all wheel drive, leather seating pkg...",
"location": "Knoxville, TN",
"country_code": "US",
"images": ["https://..."],
"seller_description": "1 owner, 2.0 turbo...",
"color": "grey",
"brand": null,
"videos": null,
"profile_id": "34591790377134943",
"listing_date": "2026-04-02T11:25:00.000Z"
}
]
Was this page helpful?